## org.hibernate.metamodel.source
Class MetaAttributeContext

    java.lang.Object
      org.hibernate.metamodel.source.MetaAttributeContext

    public class MetaAttributeContext

extends Object

Constructor Summary
`MetaAttributeContext()`
`MetaAttributeContext(MetaAttributeContext parentContext)`

Method Summary
`void` `add(MetaAttribute metaAttribute)`
`Iterable<String>` `getKeys()`
`Iterable<String>` `getLocalKeys()`
`MetaAttribute` `getLocalMetaAttribute(String key)`
`MetaAttribute` `getMetaAttribute(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaAttributeContext

    public MetaAttributeContext()

### MetaAttributeContext

    public MetaAttributeContext(MetaAttributeContext parentContext)

Method Detail

### getKeys

    public Iterable<String> getKeys()

### getLocalKeys

    public Iterable<String> getLocalKeys()

### getMetaAttribute

    public MetaAttribute getMetaAttribute(String key)

### getLocalMetaAttribute

    public MetaAttribute getLocalMetaAttribute(String key)

### add

    public void add(MetaAttribute metaAttribute)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.